semigroupoids-5.1: Semigroupoids: Category sans id

Copyright | (C) 2011-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | polykinds
Safe Haskell | Safe
Language | Haskell98

Data.Groupoid

Description

Synopsis

- class Semigroupoid k => Groupoid k where

# Documentation

class Semigroupoid k => Groupoid k where #

semigroupoid with inverses. This technically should be a category with inverses, except we need to use Ob to define the valid objects for the category

Minimal complete definition

inv

Methods

inv :: k a b -> k b a #

Instances

Semigroupoid k k1 => Groupoid k (Iso k k1) # |
Methods inv :: k a b -> k b a #
Groupoid k k1 => Groupoid k (Dual k k k1) # |
Methods inv :: k a b -> k b a #